
package com.ejie.ad74a.ws.client.platea.expedienteElectronico;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Clase Java para TLanguage.
 * 
 * <p>El siguiente fragmento de esquema especifica el contenido que se espera que haya en esta clase.
 * <p>
 * <pre>
 * &lt;simpleType name="TLanguage"&gt;
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string"&gt;
 *     &lt;enumeration value="eu"/&gt;
 *     &lt;enumeration value="es"/&gt;
 *     &lt;enumeration value="bi"/&gt;
 *     &lt;enumeration value="na"/&gt;
 *   &lt;/restriction&gt;
 * &lt;/simpleType&gt;
 * </pre>
 * 
 */
@XmlType(name = "TLanguage", namespace = "com/ejie/x43s/v2/ttn/xml")
@XmlEnum
public enum TLanguage {

    @XmlEnumValue("eu")
    EU("eu"),
    @XmlEnumValue("es")
    ES("es"),
    @XmlEnumValue("bi")
    BI("bi"),
    @XmlEnumValue("na")
    NA("na");
    private final String value;

    TLanguage(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static TLanguage fromValue(String v) {
        for (TLanguage c: TLanguage.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
